# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.installer.api.InstallableResource
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_START_LEVEL`
`"bundle.startlevel"`
`public static final int`
`DEFAULT_PRIORITY`
`100`
`public static final String`
`INSTALLATION_HINT`
`"installation.hint"`
`public static final String`
`RESOURCE_IS_TEMPLATE`
`"org.apache.sling.installer.api.template"`
`public static final String`
`RESOURCE_URI_HINT`
`"resource.uri.hint"`
`public static final String`
`TYPE_BUNDLE`
`"bundle"`
`public static final String`
`TYPE_CONFIG`
`"config"`
`public static final String`
`TYPE_FILE`
`"file"`
`public static final String`
`TYPE_PROPERTIES`
`"properties"`
org.apache.sling.installer.api.ResourceChangeListener
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_PERSIST`
`"org.apache.sling.installer.api.persist"`
org.apache.sling.installer.api.UpdateHandler
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_SCHEMES`
`"handler.schemes"`

org.apache.sling.installer.api.tasks.InstallTask
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_ATTR_NAME`
`"org.apache.sling.installer.api.tasks.ASyncInstallTask"`
org.apache.sling.installer.api.tasks.InstallTaskFactory
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"installtaskfactory.name"`
org.apache.sling.installer.api.tasks.ResourceTransformer
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"resourcetransformer.name"`
org.apache.sling.installer.api.tasks.TaskResource
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_INSTALL_EXCLUDED`
`"org.apache.sling.installer.api.resource.install.excluded"`
`public static final String`
`ATTR_INSTALL_INFO`
`"org.apache.sling.installer.api.resource.install.info"`